/***************************************************************************
                          kcoverback.cpp  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kcoverback.h"

KCoverBack::KCoverBack()
{
	SideA = new KCoverString;
	SideB = new KCoverString;
}

KCoverBack::~KCoverBack()
{
	delete SideB;
	delete SideA;
}

void KCoverBack::Clear()
{
	KCoverPage::Clear();
	delete SideA;
	delete SideB;
	SideA = new KCoverString;
	SideB = new KCoverString;
}
