/***************************************************************************
                          kcoverimage.cpp  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kcoverimage.h"

KCoverImage::KCoverImage(const char * filename, int x, int y, int order) : KCoverObject( x, y, order  )
{
	Image = QImage(filename);
	//Image = Image.smoothScale(256,256);
}

KCoverImage::~KCoverImage()
{
}

/** return true if POS is in the image */
bool KCoverImage::IsPointInObject(QPoint &pos)
{
	if (pos.x()>=X && pos.x()<=X+Image.width() && pos.y()>=Y && pos.y()<=Y+Image.height())
		return true;
	else
		return false;
}

int KCoverImage::operator == (const KCoverImage &p) const
{
	if (p.X==X && p.Y==Y && p.Order==Order && p.Image==Image )
		return 1;
	else
		return 0;
}

